ListRecoveryPlans
Lists all Recovery Plans in the account.
Request Syntax
POST /ListRecoveryPlans HTTP/1.1
Content-type: application/json
{
"maxResults": number,
"nextToken": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- maxResults
-
Maximum number of results to return.
Type: Integer
Valid Range: Minimum value of 1. Maximum value of 1000.
Required: No
- nextToken
-
The token for the next page of results.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 2048.
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"recoveryPlans": [
{
"createdAt": "string",
"name": "string",
"recoveryPlanArn": "string",
"status": "string",
"updatedAt": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextToken
-
The token for the next page of results.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 2048.
- recoveryPlans
-
The list of Recovery Plans.
Type: Array of RecoveryPlanSummary objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request processing has failed because of an unknown error, exception or failure.
- retryAfterSeconds
-
The number of seconds after which the request should be safe to retry.
HTTP Status Code: 500
- ThrottlingException
-
The request was denied due to request throttling.
- quotaCode
-
Quota code.
- retryAfterSeconds
-
The number of seconds after which the request should be safe to retry.
- serviceCode
-
Service code.
HTTP Status Code: 429
- UninitializedAccountException
-
The account performing the request has not been initialized.
HTTP Status Code: 400
- ValidationException
-
The input fails to satisfy the constraints specified by the AWS service.
- fieldList
-
A list of fields that failed validation.
- reason
-
Validation exception reason.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: